Get user agent
curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/agents/user/{agent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/agents/user/{agent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://neo.api.projectdiscovery.io/api/v1/agents/user/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"has_dynamic_tools": true,
"has_memory": true,
"id": "<string>",
"name": "<string>",
"tools_count": 123,
"type": "user",
"config_hash": "<string>",
"config_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"custom_tools": [
{
"commandTemplate": "<string>",
"description": "<string>",
"id": "<string>",
"inputSchema": {},
"isExecutable": true,
"scriptContent": "<string>",
"scriptPath": "<string>",
"timeoutSeconds": 123
}
],
"custom_tools_count": 123,
"fork_count": 123,
"has_installation_requirements": true,
"install_commands": [
"<string>"
],
"native_tools": [
"<string>"
],
"original_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prereq_packages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"require_env_vars": [
"<string>"
],
"system_context": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verify_commands": [
"<string>"
],
"when_to_use": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Agents
Get user agent
Get details of a specific user agent
GET
/
api
/
v1
/
agents
/
user
/
{agent_id}
Get user agent
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Path Parameters
Agent ID (kebab-case identifier)
Response
Agent details
Agent ID for user access (use with /agents/user/{agent_id})
Available options:
user Show child attributes
Show child attributes
Directory entry ID
Available options:
public, private, unlisted ⌘I

